#!/bin/bash
# 输出脚本进程号
echo $$
# 监听usbip-server进程的循环
while :
do
#清理获取到的僵尸进程
#ps -A -o stat,ppid,pid,cmd | grep -e '^[Zz]' | awk '{print $2}' | xargs kill -9

# 获取usbip-server进程id
sn=`ps -ef | grep usbip-server | grep -v grep | awk '{print $2}'`
echo $sn
# 如果没有usbip-server进程的id
if [ "${sn}" = "" ]
then
date
# 启动usbip-server进程
nohup /mcos/dvclient/sbin/usbip/usbip-server -f /mcos/dvclient/log/usbip.log > /mcos/dvclient/log/usbip-server.log 2>&1 &
echo start ok!
else
echo running!
fi
# 设置每隔5秒检测一次
sleep 5
done
